import{s as ya,n as ba,o as Ca}from"../chunks/scheduler.f7e1785c.js";import{S as ka,i as xa,g as o,s as i,u as c,m as ve,A as _a,h as s,f as e,c as r,j as u,v as p,y as h,n as we,k as l,o as d,a as n,w as f,d as m,t as g,x as v}from"../chunks/index.815a732f.js";import{I as U}from"../chunks/IconCopyLink.e7937f56.js";import{C as wa}from"../chunks/CodeBlock.2ff7ea30.js";function $a(Me){let w,St,bt,Ht,y,M,Ct,I,ye,ct,Pe="Choosing a dataset",Et,D,Ae=`As with any machine learning problem, our model is only as good as the data that we train it on. Speech recognition
datasets vary considerably in how they are curated and the domains that they cover. To pick the right dataset, we need
to match our criteria with the features that a dataset offers.`,Nt,W,Se="Before we pick a dataset, we first need to understand the key defining features.",jt,b,P,kt,Y,be,pt,He="Features of speech datasets",Lt,C,A,xt,J,Ce,ft,Ee="1. Number of hours",Ut,k,S,_t,F,ke,mt,Ne="2. Domain",It,V,je=`We need to match our domain to the conditions we anticipate at inference time. For instance, if we train our model on
audiobooks, we can’t expect it to perform well in noisy environments.`,Dt,x,H,$t,B,xe,gt,Le="3. Speaking style",Wt,q,Ue="<li>Narrated: read from a script</li> <li>Spontaneous: un-scripted, conversational speech</li>",Yt,G,Ie=`The audio and text data reflect the style of speaking. Since narrated text is scripted, it tends to be spoken articulately
and without any errors:`,Jt,z,Ft,R,De=`Whereas for spontaneous speech, we can expect a more colloquial style of speech, with the inclusion of repetitions,
hesitations and false-starts:`,Vt,Z,Bt,_,E,Tt,O,_e,vt,We="4. Transcription style",qt,$,N,Mt,X,$e,wt,Ye="A summary of datasets on the Hub",Gt,Q,Je="Here is a summary of the most popular English speech recognition datasets on the Hugging Face Hub:",zt,K,Fe='<thead><tr><th>Dataset</th> <th>Train Hours</th> <th>Domain</th> <th>Speaking Style</th> <th>Casing</th> <th>Punctuation</th> <th>License</th> <th>Recommended Use</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/librispeech_asr" rel="nofollow">LibriSpeech</a></td> <td>960</td> <td>Audiobook</td> <td>Narrated</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Academic benchmarks</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_11_0" rel="nofollow">Common Voice 11</a></td> <td>3000</td> <td>Wikipedia</td> <td>Narrated</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>Non-native speakers</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>540</td> <td>European Parliament</td> <td>Oratory</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>Non-native speakers</td></tr> <tr><td><a href="https://huggingface.co/datasets/LIUM/tedlium" rel="nofollow">TED-LIUM</a></td> <td>450</td> <td>TED talks</td> <td>Oratory</td> <td>❌</td> <td>❌</td> <td>CC-BY-NC-ND 3.0</td> <td>Technical topics</td></tr> <tr><td><a href="https://huggingface.co/datasets/speechcolab/gigaspeech" rel="nofollow">GigaSpeech</a></td> <td>10000</td> <td>Audiobook, podcast, YouTube</td> <td>Narrated, spontaneous</td> <td>❌</td> <td>✅</td> <td>apache-2.0</td> <td>Robustness over multiple domains</td></tr> <tr><td><a href="https://huggingface.co/datasets/kensho/spgispeech" rel="nofollow">SPGISpeech</a></td> <td>5000</td> <td>Financial meetings</td> <td>Oratory, spontaneous</td> <td>✅</td> <td>✅</td> <td>User Agreement</td> <td>Fully formatted transcriptions</td></tr> <tr><td><a href="https://huggingface.co/datasets/revdotcom/earnings22" rel="nofollow">Earnings-22</a></td> <td>119</td> <td>Financial meetings</td> <td>Oratory, spontaneous</td> <td>✅</td> <td>✅</td> <td>CC-BY-SA-4.0</td> <td>Diversity of accents</td></tr> <tr><td><a href="https://huggingface.co/datasets/edinburghcstr/ami" rel="nofollow">AMI</a></td> <td>100</td> <td>Meetings</td> <td>Spontaneous</td> <td>✅</td> <td>✅</td> <td>CC-BY-4.0</td> <td>Noisy speech conditions</td></tr></tbody>',Rt,tt,Ve=`This table serves as a reference for selecting a dataset based on your criterion. Below is an equivalent table for
multilingual speech recognition. Note that we omit the train hours column, since this varies depending on the language
for each dataset, and replace it with the number of languages per dataset:`,Zt,et,Be='<thead><tr><th>Dataset</th> <th>Languages</th> <th>Domain</th> <th>Speaking Style</th> <th>Casing</th> <th>Punctuation</th> <th>License</th> <th>Recommended Usage</th></tr></thead> <tbody><tr><td><a href="https://huggingface.co/datasets/facebook/multilingual_librispeech" rel="nofollow">Multilingual LibriSpeech</a></td> <td>6</td> <td>Audiobooks</td> <td>Narrated</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Academic benchmarks</td></tr> <tr><td><a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">Common Voice 13</a></td> <td>108</td> <td>Wikipedia text &amp; crowd-sourced speech</td> <td>Narrated</td> <td>✅</td> <td>✅</td> <td>CC0-1.0</td> <td>Diverse speaker set</td></tr> <tr><td><a href="https://huggingface.co/datasets/facebook/voxpopuli" rel="nofollow">VoxPopuli</a></td> <td>15</td> <td>European Parliament recordings</td> <td>Spontaneous</td> <td>❌</td> <td>✅</td> <td>CC0</td> <td>European languages</td></tr> <tr><td><a href="https://huggingface.co/datasets/google/fleurs" rel="nofollow">FLEURS</a></td> <td>101</td> <td>European Parliament recordings</td> <td>Spontaneous</td> <td>❌</td> <td>❌</td> <td>CC-BY-4.0</td> <td>Multilingual evaluation</td></tr></tbody>',Ot,at,qe=`For a detailed breakdown of the audio datasets covered in both tables, refer to the blog post <a href="https://huggingface.co/blog/audio-datasets#a-tour-of-audio-datasets-on-the-hub" rel="nofollow">A Complete Guide to Audio Datasets</a>.
While there are over 180 speech recognition datasets on the Hub, it may be possible that there isn’t a dataset that matches
your needs. In this case, it’s also possible to use your own audio data with 🤗 Datasets. To create a custom audio dataset,
refer to the guide <a href="https://huggingface.co/docs/datasets/audio_dataset" rel="nofollow">Create an audio dataset</a>. When creating a custom
audio dataset, consider sharing the final dataset on the Hub so that others in the community can benefit from your
efforts - the audio community is inclusive and wide-ranging, and others will appreciate your work as you do theirs.`,Xt,nt,Ge=`Alright! Now that we’ve gone through all the criterion for selecting an ASR dataset, let’s pick one for the purpose of this tutorial.
We know that Whisper already does a pretty good job at transcribing data in high-resource languages (such as English and Spanish), so
we’ll focus ourselves on low-resource multilingual transcription. We want to retain Whisper’s ability to predict punctuation and casing,
so it seems from the second table that Common Voice 13 is a great candidate dataset!`,Qt,T,j,Pt,ot,Te,yt,ze="Common Voice 13",Kt,st,Re=`Common Voice 13 is a crowd-sourced dataset where speakers record text from Wikipedia in various languages. It forms part of
the Common Voice series, a collection of Common Voice datasets released by Mozilla Foundation. At the time of writing,
Common Voice 13 is the latest edition of the dataset, with the most languages and hours per language out of any release to date.`,te,it,Ze=`We can get the full list of languages for the Common Voice 13 dataset by checking-out the dataset page on the Hub:
<a href="https://huggingface.co/datasets/mozilla-foundation/common_voice_13_0" rel="nofollow">mozilla-foundation/common_voice_13_0</a>.
The first time you view this page, you’ll be asked to accept the terms of use. After that, you’ll be given full access to the dataset.`,ee,rt,Oe=`Once we’ve provided authentication to use the dataset, we’ll be presented with the dataset preview. The dataset preview
shows us the first 100 samples of the dataset for each language. What’s more, it’s loaded up with audio samples ready for us
to listen to in real time. For this Unit, we’ll select <a href="https://en.wikipedia.org/wiki/Maldivian_language" rel="nofollow"><em>Dhivehi</em></a>
(or <em>Maldivian</em>), an Indo-Aryan language spoken in the South Asian island country of the Maldives. While we’re selecting
Dhivehi for this tutorial, the steps covered here apply to any one of the 108 languages in the Common Voice 13 dataset, and
more generally to any one of the 180+ audio datasets on the Hugging Face Hub, so there’s no restriction on language or dialect.`,ae,lt,Xe=`We can select the Dhivehi subset of Common Voice 13 by setting the subset to <code>dv</code> using the dropdown menu (<code>dv</code> being the language
identifier code for Dhivehi):`,ne,L,Qe='<img src="https://huggingface.co/datasets/huggingface-course/audio-course-images/resolve/main/cv_13_dv_selection.png" alt="Selecting the Dhivehi split from the Dataset&#39;s Preview"/>',oe,dt,Ke=`If we hit the play button on the first sample, we can listen to the audio and see the corresponding text. Have a scroll
through the samples for the train and test sets to get a better feel for the audio and text data that we’re dealing with.
You can tell from the intonation and style that the recordings are taken from narrated speech. You’ll also likely notice
the large variation in speakers and recording quality, a common trait of crowd-sourced data.`,se,ht,ta=`The Dataset Preview is a brilliant way of experiencing audio datasets before committing to using them. You can pick any
dataset on the Hub, scroll through the samples and listen to the audio for the different subsets and splits, gauging whether
it’s the right dataset for your needs. Once you’ve selected a dataset, it’s trivial to load the data so that you can
start using it.`,ie,ut,ea=`Now, I personally don’t speak Dhivehi, and expect the vast majority of readers not to either! To know if our fine-tuned model
is any good, we’ll need a rigorous way of <em>evaluating</em> it on unseen data and measuring its transcription accuracy.
We’ll cover exactly this in the next section!`,re,At,le;return I=new U({}),Y=new U({}),J=new U({}),F=new U({}),B=new U({}),z=new wa({props:{code:"JUUyJTgwJTlDQ29uc2lkZXIlMjB0aGUlMjB0YXNrJTIwb2YlMjB0cmFpbmluZyUyMGElMjBtb2RlbCUyMG9uJTIwYSUyMHNwZWVjaCUyMHJlY29nbml0aW9uJTIwZGF0YXNldCVFMiU4MCU5RA==",highlighted:'“Consider <span class="hljs-keyword">the</span> task <span class="hljs-keyword">of</span> training <span class="hljs-keyword">a</span> model <span class="hljs-keyword">on</span> <span class="hljs-title">a</span> <span class="hljs-title">speech</span> <span class="hljs-title">recognition</span> <span class="hljs-title">dataset</span>”',wrap:!1}}),Z=new wa({props:{code:"JUUyJTgwJTlDTGV0JUUyJTgwJTk5cyUyMHVoaCUyMGxldCdzJTIwdGFrZSUyMGElMjBsb29rJTIwYXQlMjBob3clMjB5b3UnZCUyMGdvJTIwYWJvdXQlMjB0cmFpbmluZyUyMGElMjBtb2RlbCUyMG9uJTIwdWhtJTIwYSUyMHNwLSUyMHNwZWVjaCUyMHJlY29nbml0aW9uJTIwZGF0YXNldCVFMiU4MCU5RA==",highlighted:'“<span class="hljs-keyword">Let</span>’s uhh <span class="hljs-keyword">let</span><span class="hljs-comment">&#x27;s take a look at how you&#x27;d go about training a model on uhm a sp- speech recognition dataset”</span>',wrap:!1}}),O=new U({}),X=new U({}),ot=new U({}),{c(){w=o("meta"),St=i(),bt=o("p"),Ht=i(),y=o("h1"),M=o("a"),Ct=o("span"),c(I.$$.fragment),ye=i(),ct=o("span"),ct.textContent=Pe,Et=i(),D=o("p"),D.textContent=Ae,Nt=i(),W=o("p"),W.textContent=Se,jt=i(),b=o("h2"),P=o("a"),kt=o("span"),c(Y.$$.fragment),be=i(),pt=o("span"),pt.textContent=He,Lt=i(),C=o("h3"),A=o("a"),xt=o("span"),c(J.$$.fragment),Ce=i(),ft=o("span"),ft.textContent=Ee,Ut=ve(`


Simply put, the number of training hours indicates how large the dataset is. It’s analogous to the number of training
examples in an NLP dataset. However, bigger datasets aren’t necessarily better. If we want a model that generalises well,
we want a **diverse** dataset with lots of different speakers, domains and speaking styles.
`),k=o("h3"),S=o("a"),_t=o("span"),c(F.$$.fragment),ke=i(),mt=o("span"),mt.textContent=Ne,It=ve(`


The domain entails where the data was sourced from, whether it be audiobooks, podcasts, YouTube or financial meetings.
Each domain has a different distribution of data. For example, audiobooks are recorded in high-quality studio conditions
(with no background noise) and text that is taken from written literature. Whereas for YouTube, the audio likely contains
more background noise and a more informal style of speech.
`),V=o("p"),V.textContent=je,Dt=i(),x=o("h3"),H=o("a"),$t=o("span"),c(B.$$.fragment),xe=i(),gt=o("span"),gt.textContent=Le,Wt=ve(`


The speaking style falls into one of two categories:
`),q=o("ul"),q.innerHTML=Ue,Yt=i(),G=o("p"),G.textContent=Ie,Jt=i(),c(z.$$.fragment),Ft=i(),R=o("p"),R.textContent=De,Vt=i(),c(Z.$$.fragment),Bt=i(),_=o("h3"),E=o("a"),Tt=o("span"),c(O.$$.fragment),_e=i(),vt=o("span"),vt.textContent=We,qt=ve(`


The transcription style refers to whether the target text has punctuation, casing or both. If we want a system to generate
fully formatted text that could be used for a publication or meeting transcription, we require training data with punctuation
and casing. If we just require the spoken words in an un-formatted structure, neither punctuation nor casing are necessary.
In this case, we can either pick a dataset without punctuation or casing, or pick one that has punctuation and casing and
then subsequently remove them from the target text through pre-processing.
`),$=o("h2"),N=o("a"),Mt=o("span"),c(X.$$.fragment),$e=i(),wt=o("span"),wt.textContent=Ye,Gt=i(),Q=o("p"),Q.textContent=Je,zt=i(),K=o("table"),K.innerHTML=Fe,Rt=i(),tt=o("p"),tt.textContent=Ve,Zt=i(),et=o("table"),et.innerHTML=Be,Ot=i(),at=o("p"),at.innerHTML=qe,Xt=i(),nt=o("p"),nt.textContent=Ge,Qt=i(),T=o("h2"),j=o("a"),Pt=o("span"),c(ot.$$.fragment),Te=i(),yt=o("span"),yt.textContent=ze,Kt=i(),st=o("p"),st.textContent=Re,te=i(),it=o("p"),it.innerHTML=Ze,ee=i(),rt=o("p"),rt.innerHTML=Oe,ae=i(),lt=o("p"),lt.innerHTML=Xe,ne=i(),L=o("div"),L.innerHTML=Qe,oe=i(),dt=o("p"),dt.textContent=Ke,se=i(),ht=o("p"),ht.textContent=ta,ie=i(),ut=o("p"),ut.innerHTML=ea,re=i(),At=o("p"),this.h()},l(t){const a=_a("svelte-1phssyn",document.head);w=s(a,"META",{name:!0,content:!0}),a.forEach(e),St=r(t),bt=s(t,"P",{}),u(bt).forEach(e),Ht=r(t),y=s(t,"H1",{class:!0});var de=u(y);M=s(de,"A",{id:!0,class:!0,href:!0});var aa=u(M);Ct=s(aa,"SPAN",{});var na=u(Ct);p(I.$$.fragment,na),na.forEach(e),aa.forEach(e),ye=r(de),ct=s(de,"SPAN",{"data-svelte-h":!0}),h(ct)!=="svelte-1gzerti"&&(ct.textContent=Pe),de.forEach(e),Et=r(t),D=s(t,"P",{"data-svelte-h":!0}),h(D)!=="svelte-15zyog0"&&(D.textContent=Ae),Nt=r(t),W=s(t,"P",{"data-svelte-h":!0}),h(W)!=="svelte-1rsl8i9"&&(W.textContent=Se),jt=r(t),b=s(t,"H2",{class:!0});var he=u(b);P=s(he,"A",{id:!0,class:!0,href:!0});var oa=u(P);kt=s(oa,"SPAN",{});var sa=u(kt);p(Y.$$.fragment,sa),sa.forEach(e),oa.forEach(e),be=r(he),pt=s(he,"SPAN",{"data-svelte-h":!0}),h(pt)!=="svelte-101j18g"&&(pt.textContent=He),he.forEach(e),Lt=r(t),C=s(t,"H3",{class:!0});var ue=u(C);A=s(ue,"A",{id:!0,class:!0,href:!0});var ia=u(A);xt=s(ia,"SPAN",{});var ra=u(xt);p(J.$$.fragment,ra),ra.forEach(e),ia.forEach(e),Ce=r(ue),ft=s(ue,"SPAN",{"data-svelte-h":!0}),h(ft)!=="svelte-1jo5q7j"&&(ft.textContent=Ee),ue.forEach(e),Ut=we(t,`


Simply put, the number of training hours indicates how large the dataset is. It’s analogous to the number of training
examples in an NLP dataset. However, bigger datasets aren’t necessarily better. If we want a model that generalises well,
we want a **diverse** dataset with lots of different speakers, domains and speaking styles.
`),k=s(t,"H3",{class:!0});var ce=u(k);S=s(ce,"A",{id:!0,class:!0,href:!0});var la=u(S);_t=s(la,"SPAN",{});var da=u(_t);p(F.$$.fragment,da),da.forEach(e),la.forEach(e),ke=r(ce),mt=s(ce,"SPAN",{"data-svelte-h":!0}),h(mt)!=="svelte-6ptg97"&&(mt.textContent=Ne),ce.forEach(e),It=we(t,`


The domain entails where the data was sourced from, whether it be audiobooks, podcasts, YouTube or financial meetings.
Each domain has a different distribution of data. For example, audiobooks are recorded in high-quality studio conditions
(with no background noise) and text that is taken from written literature. Whereas for YouTube, the audio likely contains
more background noise and a more informal style of speech.
`),V=s(t,"P",{"data-svelte-h":!0}),h(V)!=="svelte-k3up68"&&(V.textContent=je),Dt=r(t),x=s(t,"H3",{class:!0});var pe=u(x);H=s(pe,"A",{id:!0,class:!0,href:!0});var ha=u(H);$t=s(ha,"SPAN",{});var ua=u($t);p(B.$$.fragment,ua),ua.forEach(e),ha.forEach(e),xe=r(pe),gt=s(pe,"SPAN",{"data-svelte-h":!0}),h(gt)!=="svelte-ujtkyr"&&(gt.textContent=Le),pe.forEach(e),Wt=we(t,`


The speaking style falls into one of two categories:
`),q=s(t,"UL",{"data-svelte-h":!0}),h(q)!=="svelte-1l9j9hu"&&(q.innerHTML=Ue),Yt=r(t),G=s(t,"P",{"data-svelte-h":!0}),h(G)!=="svelte-1tb6mrj"&&(G.textContent=Ie),Jt=r(t),p(z.$$.fragment,t),Ft=r(t),R=s(t,"P",{"data-svelte-h":!0}),h(R)!=="svelte-th73kg"&&(R.textContent=De),Vt=r(t),p(Z.$$.fragment,t),Bt=r(t),_=s(t,"H3",{class:!0});var fe=u(_);E=s(fe,"A",{id:!0,class:!0,href:!0});var ca=u(E);Tt=s(ca,"SPAN",{});var pa=u(Tt);p(O.$$.fragment,pa),pa.forEach(e),ca.forEach(e),_e=r(fe),vt=s(fe,"SPAN",{"data-svelte-h":!0}),h(vt)!=="svelte-719pmw"&&(vt.textContent=We),fe.forEach(e),qt=we(t,`


The transcription style refers to whether the target text has punctuation, casing or both. If we want a system to generate
fully formatted text that could be used for a publication or meeting transcription, we require training data with punctuation
and casing. If we just require the spoken words in an un-formatted structure, neither punctuation nor casing are necessary.
In this case, we can either pick a dataset without punctuation or casing, or pick one that has punctuation and casing and
then subsequently remove them from the target text through pre-processing.
`),$=s(t,"H2",{class:!0});var me=u($);N=s(me,"A",{id:!0,class:!0,href:!0});var fa=u(N);Mt=s(fa,"SPAN",{});var ma=u(Mt);p(X.$$.fragment,ma),ma.forEach(e),fa.forEach(e),$e=r(me),wt=s(me,"SPAN",{"data-svelte-h":!0}),h(wt)!=="svelte-1lreaer"&&(wt.textContent=Ye),me.forEach(e),Gt=r(t),Q=s(t,"P",{"data-svelte-h":!0}),h(Q)!=="svelte-12pozb0"&&(Q.textContent=Je),zt=r(t),K=s(t,"TABLE",{"data-svelte-h":!0}),h(K)!=="svelte-1tshwgv"&&(K.innerHTML=Fe),Rt=r(t),tt=s(t,"P",{"data-svelte-h":!0}),h(tt)!=="svelte-m8mw9i"&&(tt.textContent=Ve),Zt=r(t),et=s(t,"TABLE",{"data-svelte-h":!0}),h(et)!=="svelte-1wjgm7a"&&(et.innerHTML=Be),Ot=r(t),at=s(t,"P",{"data-svelte-h":!0}),h(at)!=="svelte-tge7kj"&&(at.innerHTML=qe),Xt=r(t),nt=s(t,"P",{"data-svelte-h":!0}),h(nt)!=="svelte-gltk6z"&&(nt.textContent=Ge),Qt=r(t),T=s(t,"H2",{class:!0});var ge=u(T);j=s(ge,"A",{id:!0,class:!0,href:!0});var ga=u(j);Pt=s(ga,"SPAN",{});var va=u(Pt);p(ot.$$.fragment,va),va.forEach(e),ga.forEach(e),Te=r(ge),yt=s(ge,"SPAN",{"data-svelte-h":!0}),h(yt)!=="svelte-1gxwxyy"&&(yt.textContent=ze),ge.forEach(e),Kt=r(t),st=s(t,"P",{"data-svelte-h":!0}),h(st)!=="svelte-19tt3h8"&&(st.textContent=Re),te=r(t),it=s(t,"P",{"data-svelte-h":!0}),h(it)!=="svelte-1c1tn1u"&&(it.innerHTML=Ze),ee=r(t),rt=s(t,"P",{"data-svelte-h":!0}),h(rt)!=="svelte-ckc95o"&&(rt.innerHTML=Oe),ae=r(t),lt=s(t,"P",{"data-svelte-h":!0}),h(lt)!=="svelte-1emkleh"&&(lt.innerHTML=Xe),ne=r(t),L=s(t,"DIV",{class:!0,"data-svelte-h":!0}),h(L)!=="svelte-y9qjeu"&&(L.innerHTML=Qe),oe=r(t),dt=s(t,"P",{"data-svelte-h":!0}),h(dt)!=="svelte-1im4yyp"&&(dt.textContent=Ke),se=r(t),ht=s(t,"P",{"data-svelte-h":!0}),h(ht)!=="svelte-1yhqqce"&&(ht.textContent=ta),ie=r(t),ut=s(t,"P",{"data-svelte-h":!0}),h(ut)!=="svelte-1esedkp"&&(ut.innerHTML=ea),re=r(t),At=s(t,"P",{}),u(At).forEach(e),this.h()},h(){l(w,"name","hf:doc:metadata"),l(w,"content",JSON.stringify(Ta)),l(M,"id","choosing-a-dataset"),l(M,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(M,"href","#choosing-a-dataset"),l(y,"class","relative group"),l(P,"id","features-of-speech-datasets"),l(P,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(P,"href","#features-of-speech-datasets"),l(b,"class","relative group"),l(A,"id","1-number-of-hours"),l(A,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(A,"href","#1-number-of-hours"),l(C,"class","relative group"),l(S,"id","2-domain"),l(S,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(S,"href","#2-domain"),l(k,"class","relative group"),l(H,"id","3-speaking-style"),l(H,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(H,"href","#3-speaking-style"),l(x,"class","relative group"),l(E,"id","4-transcription-style"),l(E,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(E,"href","#4-transcription-style"),l(_,"class","relative group"),l(N,"id","a-summary-of-datasets-on-the-hub"),l(N,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(N,"href","#a-summary-of-datasets-on-the-hub"),l($,"class","relative group"),l(j,"id","common-voice-13"),l(j,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),l(j,"href","#common-voice-13"),l(T,"class","relative group"),l(L,"class","flex justify-center")},m(t,a){d(document.head,w),n(t,St,a),n(t,bt,a),n(t,Ht,a),n(t,y,a),d(y,M),d(M,Ct),f(I,Ct,null),d(y,ye),d(y,ct),n(t,Et,a),n(t,D,a),n(t,Nt,a),n(t,W,a),n(t,jt,a),n(t,b,a),d(b,P),d(P,kt),f(Y,kt,null),d(b,be),d(b,pt),n(t,Lt,a),n(t,C,a),d(C,A),d(A,xt),f(J,xt,null),d(C,Ce),d(C,ft),n(t,Ut,a),n(t,k,a),d(k,S),d(S,_t),f(F,_t,null),d(k,ke),d(k,mt),n(t,It,a),n(t,V,a),n(t,Dt,a),n(t,x,a),d(x,H),d(H,$t),f(B,$t,null),d(x,xe),d(x,gt),n(t,Wt,a),n(t,q,a),n(t,Yt,a),n(t,G,a),n(t,Jt,a),f(z,t,a),n(t,Ft,a),n(t,R,a),n(t,Vt,a),f(Z,t,a),n(t,Bt,a),n(t,_,a),d(_,E),d(E,Tt),f(O,Tt,null),d(_,_e),d(_,vt),n(t,qt,a),n(t,$,a),d($,N),d(N,Mt),f(X,Mt,null),d($,$e),d($,wt),n(t,Gt,a),n(t,Q,a),n(t,zt,a),n(t,K,a),n(t,Rt,a),n(t,tt,a),n(t,Zt,a),n(t,et,a),n(t,Ot,a),n(t,at,a),n(t,Xt,a),n(t,nt,a),n(t,Qt,a),n(t,T,a),d(T,j),d(j,Pt),f(ot,Pt,null),d(T,Te),d(T,yt),n(t,Kt,a),n(t,st,a),n(t,te,a),n(t,it,a),n(t,ee,a),n(t,rt,a),n(t,ae,a),n(t,lt,a),n(t,ne,a),n(t,L,a),n(t,oe,a),n(t,dt,a),n(t,se,a),n(t,ht,a),n(t,ie,a),n(t,ut,a),n(t,re,a),n(t,At,a),le=!0},p:ba,i(t){le||(m(I.$$.fragment,t),m(Y.$$.fragment,t),m(J.$$.fragment,t),m(F.$$.fragment,t),m(B.$$.fragment,t),m(z.$$.fragment,t),m(Z.$$.fragment,t),m(O.$$.fragment,t),m(X.$$.fragment,t),m(ot.$$.fragment,t),le=!0)},o(t){g(I.$$.fragment,t),g(Y.$$.fragment,t),g(J.$$.fragment,t),g(F.$$.fragment,t),g(B.$$.fragment,t),g(z.$$.fragment,t),g(Z.$$.fragment,t),g(O.$$.fragment,t),g(X.$$.fragment,t),g(ot.$$.fragment,t),le=!1},d(t){t&&(e(St),e(bt),e(Ht),e(y),e(Et),e(D),e(Nt),e(W),e(jt),e(b),e(Lt),e(C),e(Ut),e(k),e(It),e(V),e(Dt),e(x),e(Wt),e(q),e(Yt),e(G),e(Jt),e(Ft),e(R),e(Vt),e(Bt),e(_),e(qt),e($),e(Gt),e(Q),e(zt),e(K),e(Rt),e(tt),e(Zt),e(et),e(Ot),e(at),e(Xt),e(nt),e(Qt),e(T),e(Kt),e(st),e(te),e(it),e(ee),e(rt),e(ae),e(lt),e(ne),e(L),e(oe),e(dt),e(se),e(ht),e(ie),e(ut),e(re),e(At)),e(w),v(I),v(Y),v(J),v(F),v(B),v(z,t),v(Z,t),v(O),v(X),v(ot)}}}const Ta={local:"choosing-a-dataset",sections:[{local:"features-of-speech-datasets",sections:[{local:"1-number-of-hours",title:"1. Number of hours"},{local:"2-domain",title:"2. Domain"},{local:"3-speaking-style",title:"3. Speaking style"},{local:"4-transcription-style",title:"4. Transcription style"}],title:"Features of speech datasets"},{local:"a-summary-of-datasets-on-the-hub",title:"A summary of datasets on the Hub"},{local:"common-voice-13",title:"Common Voice 13"}],title:"Choosing a dataset"};function Ma(Me){return Ca(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ea extends ka{constructor(w){super(),xa(this,w,Ma,$a,ya,{})}}export{Ea as component};
